<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Licensed Materials - Property of IBM
5725-C97
Copyright IBM Corporation 2011, 2012. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
 -->
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.lombardisoftware.utility.env.ResourceEnvironmentUtils" %>
<%@ page import="java.util.logging.Level" %>
<%@ page import="java.util.logging.Logger" %>
<%@ page import="java.util.Locale" %>
<%@ page import="com.lombardisoftware.core.config.TWConfiguration" %>
<%@ page import="com.lombardisoftware.core.config.server.PortalConfig" %>
<%@ page import="java.util.Map" %>
<%!
	final String FILE_NAME = "index.jsp";
	final Logger log = Logger.getLogger(FILE_NAME);
%>

<%
ResourceEnvironmentUtils utils = new ResourceEnvironmentUtils();
//String isDebug = utils.getProperty("Mashups_ConfigService", "isDebug");
Map<String, String> props = null;

try {
	props = utils.getProperties("Mashups_ConfigService", "[allowClientSideLogging,available.locales,com.ibm.bspace.configuration.env,com.ibm.bpm.coach.client.debugTrace,isDebug,com.ibm.mashups.proxy.url,com.ibm.bpm.social.enableRunInFrame,com.ibm.mashups.proxy.url,com.ibm.mashups.hub.url,com.ibm.mashups.url.logout,com.ibm.mashups.url.login,com.ibm.mashups.contextroot,com.ibm.mashups.contextroot.builder,com.ibm.mashups.contextroot.theme.temp,com.ibm.mashups.contextroot.enabler,com.ibm.mashups.contextroot.opensocial,com.ibm.mashups.contenthandler.private,com.ibm.mashups.contenthandler.public,com.ibm.mashups.embedding.private,com.ibm.mashups.embedding.public,com.ibm.mashups.anonymous.mode.locked.on,com.ibm.mashups.anonymous.mode,com.ibm.mashups.theme.defaultThemeId,com.ibm.mashups.navigation.creation.noop,isDebug,traceConfig,allowPublishLogging,allowPublishTracing,additionalServices,popupConsole,pageSourceReadOnly,autoAcceptSharedGroupName,autoWiringDefaultEnabled,userIdKey,groupCNKey,tunnel.mode,available.locales,default.locale,com.ibm.mashups.multipart.enabled,com.ibm.mashups.multipart.correlatehosts,com.ibm.mashups.multipart.cachequeries,com.ibm.mashups.multipart.splitPublic,com.ibm.mashups.multipart.splitTransactions,com.ibm.mashups.multipart.useSinkForModRequests,serverdomain,subdomains,sandboxenabled,sandbox.disable.subdomains,navstate.persistence.url,navstate.persistence.pstore,navstate.persistence.url.limit,navstate.huffmannencode.enabled,com.ibm.mashups.sandbox.force.disable,register.loadedresources,recent.spaces.maximum.number,favorite.spaces.maximum.number,createSpaceOnTemplateMode,loadingHTML,loadingHTML.imageURL,ConfigProvider.Endpoints,ConfigProvider.ContextMenu_Provider,pageLoadOptimization,pageLoadOptimizationTheme,pageLoadOptimizationAppWidgets,com.ibm.mashups.multipart.localapps.regex,enable_import_export_space,com.ibm.mashups.widgetBuilder.enabled,com.ibm.mashups.default.user.display.prop,com.ibm.mashups.default.group.display.prop,displaySpaceAdminFeaturesGroup,subdomainreuse,com.ibm.mashups.productname,com.ibm.mashups.server,com.ibm.mashups.welcome.space.name,com.ibm.mashups.anonUserId,com.ibm.mashups.allAuthGroupId,com.ibm.mashups.hideLookaside,com.ibm.mashups.autoWildcardSearchDisabled,com.ibm.mashups.contextmenu.name,com.ibm.mashups.enabler.layout.widget.NonPreviewableContentWidget.location,com.ibm.mashups.lockeddown,com.ibm.mashups.persistence.page.description.limit,com.ibm.mashups.builder.contentShelf.mode,com.ibm.mashups.widget.attributes.personalize.enabled,com.ibm.mashups.server.oid.format,defaultLayoutTemplateURI,com.ibm.mashups.priming.enabled,com.ibm.mashups.idle.time,com.ibm.mashups.dojo.version,bspace.transport,allowClientSideLogging,com.ibm.bpm.coach.client.debugTrace,com.ibm.bspace.login.style,com.ibm.bspace.is_adv_only,com.ibm.bspace.configuration.env,com.ibm.mashups.logout.verification.regexp,com.ibm.mashups.queueRendering,com.ibm.bpm.social.zResumable]");	
} catch(Exception e) {
	log.log(Level.SEVERE, "Exception Encountered from ResourceEnvironmentUtils", e);
}
String availableLocales = null;
String isDebug = null;
String configurationEnv = null;
String debugTrace = null;
String proxyURL = null;
String loggingAllowed = null;
String enableRunInFrame = null;
String zResumable = "";

//display the logging widget only if the query parameter logging equals true and the server-side variable allowClientSideLogging equals true
String isLogging = "false";

if(props != null) {
	debugTrace = props.get("com.ibm.bpm.coach.client.debugTrace");
	isDebug = props.get("isDebug");
	configurationEnv = props.get("com.ibm.bspace.configuration.env");
	availableLocales = props.get("available.locales");
	proxyURL = props.get("com.ibm.mashups.proxy.url");
	loggingAllowed = props.get("allowClientSideLogging");
	enableRunInFrame = props.get("com.ibm.bpm.social.enableRunInFrame");
	if (props.get("com.ibm.bpm.social.zResumable") != null) {
		zResumable = props.get("com.ibm.bpm.social.zResumable");
	}
}

if(availableLocales == null || availableLocales.equals("NULL")) {
	availableLocales = "fr,de,it,zh,zh-tw,es,pt-br,ja,ko,ar,he,iw,el,tr,hu,cs,ru,pl,ro,da,fi,nb,nl,no,sk,sv,ROOT";
}
if(configurationEnv == null || configurationEnv.equals("NULL")) {
	configurationEnv = "bpm_std";
}
if(debugTrace == null || debugTrace.equals("NULL")) {
	debugTrace = "none";
}

if(enableRunInFrame == null || enableRunInFrame.equals("NULL")) {
	enableRunInFrame = "false";
}
if(loggingAllowed != null && loggingAllowed.toLowerCase().trim().equals("true")) {
	String requestForLogging = request.getParameter("logging");
	if(requestForLogging != null && (requestForLogging.toLowerCase().trim().equals("true") || requestForLogging.trim().equals("1"))) {
		isLogging = "true";
	}
}

PortalConfig portalConfig = TWConfiguration.getInstance().getServer().getPortal();

// PMR 113431
String setUserLocalePreferenceOnLogin = portalConfig.getSetUserLocalePreferenceOnLogin();
Locale preferredLocale = request.getLocale(); // Locale from HTTP Accept-Language header
String preferredLocaleString = null;
if (preferredLocale != null) {
	preferredLocaleString = preferredLocale.toString();
}

%>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>Process Portal</title>
<meta http-equiv="X-UA-Compatible" content="IE=10; IE=9; IE=8" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name = "viewport" content = "width = device-width, initial-scale = 1.0, minimum-scale = 1.0" />

<%@ include file="socialPortal/endpointService.jsp" %>
<%
if(proxyURL == null || proxyURL.equals("NULL")) {
	proxyURL = mumContextRoot + "/proxy";
}
String dojoJsFile = mumContextRoot +"/js/bluedojo/161/dojo/dojo.js";
if(isDebug == null || isDebug == "NULL") { 
	isDebug = "false"; 
} else if(isDebug.toLowerCase().trim().equals("true")) { 
	dojoJsFile = mumContextRoot +"/js/bluedojo/161/dojo/dojo.js.uncompressed.js";
}
%>

<script type="text/javascript">

var portalConfigLogoutExitPage="<%=portalConfig.getCustomLogoutPage()%>";
var zResumable="<%=zResumable%>".split(',');

function createXmlHttpObject() {
	var xmlhttp = null;
	if(!! window.ActiveXObject) { // same as typeof window.ActiveXObject !== "undefined"
		xmlhttp = new ActiveXObject('MSXML2.XMLHTTP.3.0');
	}
	else if(!! window.XMLHttpRequest) {
		xmlhttp = new XMLHttpRequest();
	}
	else throw Error("Browser does not support XHR.");

	return xmlhttp;
}

var myLocale = null;
var xmlhttp = createXmlHttpObject();
window.userProfile = {};
window.defaultValuesToBeUpdated = {};

if(xmlhttp!=null){
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200){
			var resp = xmlhttp.responseText;
			var userData = JSON.parse(resp);
        	var tempUserProfile = userData.data;

        	// Since if property has not been set, the property will not be returned by REST
        	// We need to test each one and set the default if necessary.
        	if (!tempUserProfile['emailAddress']) {
        		tempUserProfile['emailAddress'] = '';
        		// Task email address is actually emailAddress from REST return
        		tempUserProfile.userPreferences['Task Email Address'] = '';
        	}
        	if (!(tempUserProfile.userPreferences['Show Unfollow Messages'])) {
        		tempUserProfile.userPreferences['Show Unfollow Messages'] = "true";
				window.defaultValuesToBeUpdated['Show Unfollow Messages'] = "true";
        	}
        	if (!(tempUserProfile.userPreferences['Portal Notification New Task To Me'])) {
        		tempUserProfile.userPreferences['Portal Notification New Task To Me'] = "true";
				window.defaultValuesToBeUpdated['Portal Notification New Task To Me'] = "true";
        	}
        	if (!(tempUserProfile.userPreferences['Task Notification'])) {
        		tempUserProfile.userPreferences['Task Notification'] = "false";
        	}
        	if (!(tempUserProfile.userPreferences['Portal Notification Post Mention'])) {
        		tempUserProfile.userPreferences['Portal Notification Post Mention'] = "true";
				window.defaultValuesToBeUpdated['Portal Notification Post Mention'] = "true";
        	}
        	if (!(tempUserProfile.userPreferences['Alert On Assign And Run'])) {
        		tempUserProfile.userPreferences['Alert On Assign And Run'] = "true";
				window.defaultValuesToBeUpdated['Alert On Assign And Run'] = "true";
        	}
        	if (!(tempUserProfile.userPreferences['Portal Notification New Task To My Group'])) {
        		tempUserProfile.userPreferences['Portal Notification New Task To My Group'] = "false";
        	}
        	if (!(tempUserProfile.userPreferences['Title'])) {
        		tempUserProfile.userPreferences['Title'] = '';
        	}
        	if (!(tempUserProfile.userPreferences['Locale'])) {
        		tempUserProfile.userPreferences['Locale'] = '';
        	}
        	if (!(tempUserProfile.userPreferences['Phone Number'])) {
        		tempUserProfile.userPreferences['Phone Number'] = '';
        	}
        	if (!(tempUserProfile.userPreferences['Calendar Type'])) {
        		tempUserProfile.userPreferences['Calendar Type'] = '';
        	}
            if (!(tempUserProfile.userPreferences['Base Text Direction'])) {
                tempUserProfile.userPreferences['Base Text Direction'] = '';
            }
        	window.userProfile._userProfile = tempUserProfile;			
			
			var pattern = /\"Locale\"\:\"(.*?)\"(\,|\})/;
			var bits = resp.match(pattern);
			if(bits!=null && bits.length > 1){
				var lcl = bits[1];
				if(typeof(lcl)!="undefined"){
					window.myLocale = lcl.replace(/_/, '-').replace(/iw/, 'he').toLowerCase();
				}
			}
		}
	};

	var nocache = (new Date()).getTime();
	xmlhttp.open("GET", window.endpointURLObject.bpmRestJS +"/v1/user/current?parts=all&preventCache="+nocache,false);
	xmlhttp.setRequestHeader("Content-type","application/json");
	xmlhttp.setRequestHeader("Accept","application/json");
	xmlhttp.send();
}
window.coach = {};
window.coach.client = {};
com = {};
com.ibm = {};
com.ibm.bspace = {};
com.ibm.bspace.configuration = {};

//set the globals with the environment variables
window.isDebug = <%=isDebug%>;
window.availableLocales = "<%=availableLocales%>";
com.ibm.bspace.configuration.env = "<%=configurationEnv%>";
window.coach.client.debugTrace = "<%=debugTrace%>";
window.MASHUPS_PROXY_URL = "<%=proxyURL%>";

dojoConfig = {
		"parseOnLoad": true,
		"useGfxLayout": true,
		"gfxRenderer": "svg,silverlight,vml,canvas",
		"extraLocale": ["en"],
		"isDebug": <%=isDebug%>
};

if(myLocale!=null){
	dojoConfig.locale = myLocale;
}

// PMR 113431 
// If the setUserLocalePreferenceOnLogin is set to true in 99Local.xml,
// then map the HTTP Request locale to a supported locale. Then set the
// user's locale preference to the supported locale.
//
// It should be noted that Dojo is only able to get the browser's
// Installed locale, and not the HTTP Accept header's locales.
// "preferredLocale" is from the HTTPRequest's Accept-Language headers
var setUserLocalePreferenceOnLogin = <%= setUserLocalePreferenceOnLogin %>,
	preferredLocale = "<%= preferredLocaleString %>";

if (setUserLocalePreferenceOnLogin === true && dojoConfig.locale === undefined && preferredLocale !== "null" && preferredLocale !== "undefined") {
	// first check to see if the user preference has already been set
	var userProfile = window.userProfile;

	if (userProfile && userProfile._userProfile && userProfile._userProfile.userPreferences) {
		var userLocalePref = userProfile._userProfile.userPreferences.Locale;

		if (userLocalePref === undefined || userLocalePref === null || userLocalePref === "") {
			// no user preference set, let's map the locale to a supported locale
			var supportedLocaleMap = {
				"fr": true, "de": true, "it": true, "zh": true, "zh-tw": true, "es": true, "pt": true, "pt-br": true, "ja": true, "ko": true, "ar": true, "he": true, "en": true, "el": true, "tr": true, "hu": true, "cs": true, "ru": true, "pl": true, "ro": true, "da": true, "fi": true, "nb": true, "nl": true, "no": true, "sk": true, "sv": true
				},
				curLocale = preferredLocale;
			
			// do some massaging to the preferredLocale
			// HTTP Accept-Language locales are of the form "zh_TW",
			// but our/dojo's locale equivalent is "zh-tw"
			curLocale = curLocale.replace("_", "-");
			curLocale = curLocale.toLowerCase();			

			if (supportedLocaleMap.hasOwnProperty(curLocale)) {
				// update the user profile with the supported locale
				window.defaultValuesToBeUpdated["Locale"] = curLocale;
				dojoConfig.locale = curLocale;
			} else {
				// locale not in supportedLocaleMap, try breaking down the locale
				var splitLocale = curLocale.split("-"),
					newLocale,
					foundLocale = false;
				
				// try the language-country if there was the third locale variant
				if (splitLocale.length > 2) {
					newLocale = splitLocale[0] +"-" +splitLocale[1];
					if (supportedLocaleMap.hasOwnProperty(newLocale)) {
						window.defaultValuesToBeUpdated["Locale"] = newLocale;
						dojoConfig.locale = newLocale;
						foundLocale = true;
					}
				}

				// try the language only
				if (!foundLocale) {
					newLocale = splitLocale[0];
					if (supportedLocaleMap.hasOwnProperty(newLocale)) {
						window.defaultValuesToBeUpdated["Locale"] = newLocale;
						dojoConfig.locale = newLocale;
					} else {
						// if we can't resolve the locale, then fall back to en
						window.defaultValuesToBeUpdated["Locale"] = "en";
						dojoConfig.locale = "en";
					}					
				}
			}
		}
	}	
}

djConfig = dojoConfig;
</script>
    
<script type="text/javascript">
	//Ensures timezone cookie is set, which allows old portal resources like dashboards
	//to work correctly.
	function SetTimezoneCookie() {
		var theCookie = "ibm.bpm.timezoneOffset="+escape(new Date().getTimezoneOffset())+"; path=/; ";
		document.cookie = theCookie+document.cookie;
	}
	function ReadTimezoneCookie() {
		var theCookie=""+document.cookie;
		var ind=theCookie.indexOf("ibm.bpm.timezoneOffset");
		if (ind==-1) return "";
		var ind1=theCookie.indexOf(';',ind);
		if (ind1==-1) ind1=theCookie.length;
		return unescape(theCookie.substring(ind+"ibm.bpm.timezoneOffset".length+1,ind1));
	}
	try {
		var theCookie = ReadTimezoneCookie();
		if(theCookie == null || theCookie == "") {
			SetTimezoneCookie();
		}
		var timezoneOffset = parseInt(theCookie);
		if(timezoneOffset == null || isNaN(timezoneOffset)) {
			SetTimezoneCookie();
		}
	} catch(ex) {
		SetTimezoneCookie();
	}
</script>
	
<!--  Embed JavaScript files inline to avoid extra HTTP requests -->

<!--[if IE 6]>
<script type="text/javascript">document.getElementsByTagName("html")[0].className+=" lotusui_ie lotusui_ie6";</script>
<![endif]--> 
<!--[if IE 7]>
<script type="text/javascript">document.getElementsByTagName("html")[0].className+=" lotusui_ie lotusui_ie7";</script>
<![endif]--> 
<!--[if IE 8]>
<script type="text/javascript">document.getElementsByTagName("html")[0].className+=" lotusui_ie8";</script>
<![endif]-->

<link rel="stylesheet" href="<%= mumContextRoot %>/js/bluedojo/161/dijit/themes/tundra/tundra.css" type="text/css" />

<!-- We could use optimization here, but that can be revisited once the transition off of /mum/enabler has been stabilized -->
<link rel="stylesheet" href="<%= mumContextRoot %>/js/bluedojo/161/dijit/themes/tundra/tundra_rtl.css" type="text/css" />

<link href="<%= mumContextRoot %>/mycontenthandler/mm/dav/filestore/public/themes/processPortalTheme/img/favicon.ico" rel="shortcut icon" type="image/x-icon" />
<link href="<%= mumContextRoot %>/mycontenthandler/mm/dav/filestore/public/themes/processPortalTheme/img/favicon.ico" rel="icon" type="image/x-icon" />

<script type="text/javascript" src="<%=dojoJsFile%>" charset="UTF-8"></script>

<script type="text/javascript">
//fix runtime error with dojo_build: Error: Bundle not found: islamic in dojo.cldr , locale=en
dojo.requireLocalization("dojo.cldr","islamic");

//create debug namespace
if(!com) { var com = new Object(); }
if(!com.ibm) { com.ibm = new Object(); }
if(!com.ibm.bpm) { com.ibm.bpm = new Object(); }
if(!com.ibm.bpm.social) { com.ibm.bpm.social = new Object(); }
if(!com.ibm.bpm.social.debug) { com.ibm.bpm.social.debug = new Object(); }

//declare debug variables and functions
com.ibm.bpm.social.debug._logs = new Array();
com.ibm.bpm.social.debug.isLogging = <%=isLogging%>;
com.ibm.bpm.social.debug.MESSAGE_LOGGED_TOPIC = "MESSAGE_LOGGED_TO_CONSOLE";
com.ibm.bpm.social.debug.NUM_DEPTH_OF_OBJECT_ATTRS_TO_LOG = 2;
com.ibm.bpm.social.debug.NUM_BREADTH_OF_OBJECT_ATTRS_TO_LOG = 5;
com.ibm.bpm.social.debug._stringReprOfObject = function(obj, lvl) {
	var type, str, i, key, objClass, numKeys;
	
	if(typeof(lvl) === 'undefined') {
		lvl = 0;
	}
	
	//trivial cases
	type = typeof(obj);
	if(type == "undefined") { return "undefined"; }
	if(obj == null) { return "null"; }
	if(type == "string") { return "\""+obj+"\""; }
	if(type != "object") { return ""+obj; }
	
	//obj is an Array
	str = "";
	if(Object.prototype.toString.call(obj) === '[object Array]') {
		if(lvl > com.ibm.bpm.social.debug.NUM_LEVELS_OF_OBJECT_ATTRS_TO_LOG) {
			return "[...]";
		}
		for(i=0; i<obj.length; i++) {
			if(i >= com.ibm.bpm.social.debug.NUM_BREADTH_OF_OBJECT_ATTRS_TO_LOG) {
				str += ", ...";
				break;
			}
			if(i > 0) { str += ", "; }
			str += com.ibm.bpm.social.debug._stringReprOfObject(obj[i], lvl+1);
		}
		return "["+str+"]";
	}
	
	//obj is an Object
	objClass = "";
	try {
		objClass = ""+Object.prototype.toString.call(obj);
		objClass = objClass.substring("[Object ".length, objClass.length-"]".length);
	} catch(e) {}
	if(lvl > com.ibm.bpm.social.debug.NUM_LEVELS_OF_OBJECT_ATTRS_TO_LOG) {
		return objClass+"{...}";
	}
	numKeys = 0;
	for(key in obj) {
		if(obj.hasOwnProperty(key)) {
			if(numKeys >= com.ibm.bpm.social.debug.NUM_BREADTH_OF_OBJECT_ATTRS_TO_LOG) {
				str += ", ...";
				break;
			}
			str += (numKeys > 0 ? ", " : "")+key+"="+com.ibm.bpm.social.debug._stringReprOfObject(obj[key], lvl+1);
			numKeys++;
		}
	}
	return objClass+"{"+str+"}";
};
com.ibm.bpm.social.debug._mimicFirebugConsoleOutput = function(msg) {
	var args, c, i, type, replacementTypes;
	
	//get all the other arguments (not including the first)
	args = new Array();
	for(i=1; i<arguments.length; i++) {
		args.push(arguments[i]);
	}
	
	//if the first parameter isn't a string, just print out all args
	type = typeof(msg);
	if(type != "string") {
		msg = ""+(type=="object" ? com.ibm.bpm.social.debug._stringReprOfObject(msg) : msg);
		for(i=0; i<args.length; i++) {
			msg += " "+(typeof(args[i])=="object" ? com.ibm.bpm.social.debug._stringReprOfObject(args[i]) : args[i]);
		}
	}
	//if the first parameter is a string, we might have to handle
	// replacement characters (%s, %i, %o, etc)
	else {
		replacementTypes = new Array();
		i = msg.indexOf("%");
		while(i > -1) {
			if(i >= msg.length) { break; }
			if(/[A-Za-z]/.test(msg.charAt(i+1))) {
				replacementTypes.push(msg.charAt(i+1));
			}
			i = msg.indexOf("%", i+1);
		}
		for(i=0; i<args.length; i++) {
			//replace every %s, %i, %o, etc with the corresponding arg,
			// following Firebug's standards. if there aren't enough args
			// to satisfy the string, don't do any replacements
			if(args.length >= replacementTypes.length && replacementTypes.length > i) {
				c = replacementTypes[i];
				if(c !== "s" && c !== "d" && c !== "i" && c !== "f" && c !== "c") {
					msg = msg.replace("%"+c, com.ibm.bpm.social.debug._stringReprOfObject(args[i]));
				}
				else if(Object.prototype.toString.call(args[i]) === '[object Array]') { //if arg is Array
					msg = msg.replace("%"+c, com.ibm.bpm.social.debug._stringReprOfObject(args[i]));
				}
				else {
					msg = msg.replace("%"+c, (c == "c" ? "" : ""+args[i])); //%c is ignored
				}
			}
			else { //remaining args are just placed at the end
				msg += " "+(typeof(args[i]) == "object" ? com.ibm.bpm.social.debug._stringReprOfObject(args[i]) : args[i]);
			}
		}
	}
	
	return msg;
};
com.ibm.bpm.social.debug.getLogs = function() {
	return com.ibm.bpm.social.debug._logs;
};
com.ibm.bpm.social.debug.log = function(type, msg) {
	var msgObj = {'type':type, 'message':msg, 'date':(new Date())};
	com.ibm.bpm.social.debug._logs.push(msgObj);
	dojo.publish(com.ibm.bpm.social.debug.MESSAGE_LOGGED_TOPIC, [msgObj]);
};

//log all console methods
if(com.ibm.bpm.social.debug.isLogging && console) {
	//for browers other than IE, connect to the console functions
	if(!dojo.isIE) {
		dojo.connect(console, "log", null, function() {
			com.ibm.bpm.social.debug.log("log", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		});
		dojo.connect(console, "info", null, function() {
			com.ibm.bpm.social.debug.log("info", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		});
		dojo.connect(console, "warn", null, function() {
			com.ibm.bpm.social.debug.log("warn", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		});
		dojo.connect(console, "debug", null, function() {
			com.ibm.bpm.social.debug.log("debug", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		});
		dojo.connect(console, "error", null, function() {
			com.ibm.bpm.social.debug.log("error", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));;
		});
	}
	
	//for IE, rebind the console functions entirely
	else {
		console.log = function() {
			com.ibm.bpm.social.debug.log("log", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		};
		console.info = function() {
			com.ibm.bpm.social.debug.log("info", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		};
		console.warn = function() {
			com.ibm.bpm.social.debug.log("warn", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		};
		console.debug = function() {
			com.ibm.bpm.social.debug.log("debug", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		};
		console.error = function() {
			com.ibm.bpm.social.debug.log("error", com.ibm.bpm.social.debug._mimicFirebugConsoleOutput.apply(this, arguments));
		};
	}
}
</script>

<script type="text/javascript">
document.write("<style>.ibmLayoutContainersHidden{position:absolute;top:-6000px;}</style>");
dojo.addOnLoad(function() {
	if(dojo.isSafari==5) {	//15689
		dojox.uuid.generateTimeBasedUuid = dojox.uuid.generateRandomUuid;
	}
});

ibmCfg = {};
ibmConfig = {};
</script>

<iframe src="<%= mumContextRoot %>/js/bluedojo/161/dojo/resources/iframe_history.html" id="dj_history" name="dj_history" title="Page History" style="border:0;width:1px;height:1px;position:absolute;visibility:hidden;bottom:0;right:0;"></iframe>

<script type="text/javascript">
	dojo.registerModulePath('com.ibm.bspace', '<%= businessSpaceJSContextRoot %>/com/ibm/bspace');
</script>

<script src="<%= businessSpaceContextRoot %>/com/ibm/bspace/common/util/ui/bspacecommonui.js" type="text/javascript"></script>

<!--start theme.html content-->
<script type="text/javascript">
dojo.addOnLoad(function(){
     if(dojo.locale == 'he') {
	  dojo.addClass(dojo.query("#processPortalHelp")[0], "processPortalHebrewHelpIcon");
	}
	
	dojo.requireLocalization("com.ibm.bpm.social", "bpmSocial");
	processPortalMessages = dojo.i18n.getLocalization("com.ibm.bpm.social", "bpmSocial");
	
	com.ibm.bpm.calendarTypes={};
	com.ibm.bpm.calendarTypes['generalPreference.fields.calendarType.hebrew'] = processPortalMessages['generalPreference.fields.calendarType.hebrew'];
	com.ibm.bpm.calendarTypes['generalPreference.fields.calendarType.islamic'] = processPortalMessages['generalPreference.fields.calendarType.islamic'];
	com.ibm.bpm.calendarTypes['generalPreference.fields.calendarType.gregorian'] = processPortalMessages['generalPreference.fields.calendarType.gregorian'];

	com.ibm.bpm.baseTextDir={};
	com.ibm.bpm.baseTextDir['generalPreference.fields.baseTextDir.default'] = processPortalMessages['generalPreference.fields.baseTextDir.contextual']; // mawhidby - changed to default to contextual message instead of "do nothing"
	com.ibm.bpm.baseTextDir['generalPreference.fields.baseTextDir.ltr'] = processPortalMessages['generalPreference.fields.baseTextDir.ltr'];
	com.ibm.bpm.baseTextDir['generalPreference.fields.baseTextDir.rtl'] = processPortalMessages['generalPreference.fields.baseTextDir.rtl'];
});
</script>

<script type="text/javascript">
     // Social Portal Global variables and functions initialization starts
	dojo.provide("com.ibm.bpm.socialportal.GlobalAssets");

	com.ibm.bpm.socialportal.GlobalAssets = {
			_environment: {
				rootUrl: window.location.protocol+"//"+window.location.hostname+":"+window.location.port,
				// hard-coding for now since we do not have any endpoint concept in Social Portal
				restContextRoot: "teamworks"
			},
			_userProfile: {
			},
			
			getEnvironment : function () {
				return this._environment;
			},
			
			setEnvironment : function (env) {
				this._environment = env;
			},
			
			getUserProfile : function () {
				return this._userProfile;
			},
			
			setUserProfile : function (userProfile) {
				this._userProfile = userProfile;
				dojo.publish("com.ibm.bpm.socialPortal.UserProfileChangedEvent", [{}]);
			},
			
			setUserPreference : function (key, value) {
			    var tempKey = encodeURIComponent(key);
			    var tempValue = encodeURIComponent(value);
			    var _key = key;
			    var _value = value;
				dojo.xhrPut({
					// somehow content does not work as url query param for PUT
					// user the embedded way for now
			        url: window.endpointURLObject.bpmRestJS +"/v1/user/current?action=setPreference&key="+tempKey+"&value="+tempValue,
			        handleAs: "json",
			        sync: true,
			        headers: {
			          "Content-Type": "application/json",
			          "Accept": "application/json"
			        },
			        load: function(data, xhrArgs){
			        	if (_key == 'Task Email Address') {
			        		com.ibm.bpm.socialportal.GlobalAssets._userProfile['emailAddress'] = _value;
			        		// Task email address is actually emailAddress from REST return
			        		com.ibm.bpm.socialportal.GlobalAssets._userProfile.userPreferences['Task Email Address'] = _value;
			        		
			        		//Reset the user avatar when the email changes, since this may affect Connections
			        		try{ com.ibm.bpm.social.util.common.Util.userAvatarURLs[com.ibm.bpm.socialportal.GlobalAssets._userProfile.userName] = null; } catch (e) {}
			        		try{ connectionsBridge.clearAvatarCache(com.ibm.bpm.socialportal.GlobalAssets._userProfile.emailAddress); } catch(e) {}
			        	} else {
			        		com.ibm.bpm.socialportal.GlobalAssets._userProfile.userPreferences[_key] = _value;
			        	}
						dojo.publish("com.ibm.bpm.socialPortal.UserProfileChangedEvent", [{}]);						
			        },
			        error: function(error) {
			        	// TODO: Use  UI error dialog to display instead of alert
			        	// TODO: Localize the error message
						alert("Error setting user preference: " + error);
			        }
			    });
				// TODO: Once REST API support multiple update we can have another helper to setUserPreferences([{key, value}])
			}

	};
	dojo.mixin(com.ibm.bpm.socialportal.GlobalAssets, window.userProfile);

	// Social Portal Global variables and functions initialization ends
</script>

<script type="text/javascript">

	/** BSpace team needs to look at the layers here for prereqs **/
	dojo.require("dijit.form.Button"); //TODO Needs to be added to bspacecommonui prereqs

	/** Required for proper locale string handling **/
	dojo.require("dojo.date");	
	dojo.require("dojo.date.locale");
	dojo.require("dojo.date.stamp");
	dojo.require("dojo.number");
	/**	End **/
	
	//70603 - Need temporary failover from /bpmsocial or /portal to /ProcessPortal
	//ProcessPortalConfig
	var ppConfig = {
			portalContextRoot: window.endpointURLObject.processPortal,
			notificationContextRoot: window.endpointURLObject.processPortalNotification,
			webviewerContextRoot: window.endpointURLObject.webviewer,
			bspaceContextRoot: window.endpointURLObject.businessSpace,
			notificationContextRootJS: window.endpointURLObject.processPortalNotificationJS,
			portalContextRootJS: window.endpointURLObject.processPortalJS	
	};
	
	dojo.config.isDebug = window.isDebug;
	if(dojo.config.isDebug){
		dojo.registerModulePath("org", ppConfig.notificationContextRootJS+"/org");
		dojo.registerModulePath("dojox.cometd", ppConfig.notificationContextRootJS+"/dojox/cometd");
		dojo.require("org.cometd");
		
		dojo.registerModulePath('com.ibm.bpm.social', ppConfig.portalContextRootJS+'/com/ibm/bpm/social');
		dojo.require("com.ibm.bpm.social.portal.PageHandler");
		dojo.require("com.ibm.bpm.social.portal.WorkViewContainer");
		dojo.require("com.ibm.bpm.social.portal.DashboardController");
		dojo.require("com.ibm.bpm.social.portal.ProcessPortalTabBar");
		dojo.require("com.ibm.bpm.social.portal.UserDropdown");
		dojo.require("com.ibm.bpm.social.widgets.debug.LoggingWidget");
		dojo.require("com.ibm.bpm.social.notifications");
	} else {
		
		//Get fingerprint version from server
		socialversion = 0;
		dojo.xhrGet({
			url: ppConfig.portalContextRootJS+'/version.txt',
			preventCache: true,
			sync: true,
			load: function(data, xhrArgs){
				socialversion = data;
			}, 
			error: function(data, xhrArgs){
				//version.txt does not exist, do nothing at the moment
				socialversion = 0;
			}
		});
	
		//Load fingerprinted, cached layers
		dojo.registerModulePath('com.ibm.bpm', ppConfig.portalContextRootJS+'/layers/'+socialversion+'/com/ibm/bpm');
		dojo.registerModulePath('com.ibm.bpm.social', ppConfig.portalContextRootJS+'/layers/'+socialversion+'/com/ibm/bpm/social');
		dojo.registerModulePath('prereqs', ppConfig.portalContextRootJS+'/layers/'+socialversion+'/prereqs');
		dojo.registerModulePath('org', ppConfig.portalContextRootJS+'/layers/'+socialversion+'/org');

		//Standard loading of cached fingerprinted runtime layers
		dojo.require("prereqs.d3", true);
		dojo.require("org.cometd_base", true);
		dojo.require("com.ibm.bpm.social_base", true);
	}
	
</script>

<!--  Process Portal theme. Edit this for customization. -->
<link rel="stylesheet" type="text/css" href="<%= mumContextRoot %>/mycontenthandler/mm/dav/filestore/public/themes/processPortalTheme/theme.css" />

<script type="text/javascript" src="<%= processPortalContextRoot %>/com/ibm/bpm/social/portal/system.js"></script>
<script type="text/javascript" src="<%= processPortalContextRoot %>/com/ibm/bpm/social/onlineTracking.js"></script>
<!-- <script type="text/javascript" src="/ProcessPortal/com/ibm/bpm/social/notifications.js"></script> --> <!-- Build Layer already loads notification.js -->

<script type="text/javascript">
dojo.addOnLoad(function(){

	try {	
		var userProfile =com.ibm.bpm.socialportal.GlobalAssets.getUserProfile();
		document.getElementById('processPortalUserName').innerHTML= userProfile['fullName'];
		
        //configure BTD for user full name
        com.ibm.bpm.social.util.baseTextDirection.BidiTextBox.setElementBTD(document.getElementById('processPortalUserName'));
		
		dojo.subscribe("com.ibm.bpm.socialPortal.UserProfileChangedEvent", function(args){
			var profile = com.ibm.bpm.socialportal.GlobalAssets._userProfile;
			com.ibm.bpm.social.util.common.Util.currentUser = profile;
			com.ibm.bpm.social.util.common.Util.userData[profile.userName] = profile;
		 });


		// PMR 113431 set the user's locale if the proper 99Local flag was set
		if (window.defaultValuesToBeUpdated && window.defaultValuesToBeUpdated.hasOwnProperty("Locale")) {
			com.ibm.bpm.socialportal.GlobalAssets.setUserPreference("Locale", window.defaultValuesToBeUpdated["Locale"]);
		}
		
	} catch(e) {
		// Update server with the new default values
		for (var property in window.defaultValuesToBeUpdated) {
			com.ibm.bpm.socialportal.GlobalAssets.setUserPreference(property, window.defaultValuesToBeUpdated[property]);
		}	
	}
	
	if (typeof(dojoConfig)=="undefined") {
		dojoConfig = {
			parseOnLoad: true,
			isDebug: false
		};
	}
	
	var connUrl = com.ibm.bpm.social.util.common.Util.getConnectionsURL();
	if(typeof(connUrl)!="undefined" && connUrl!=""){
		dojo.require("com.ibm.bpm.social.util.connections.ConnectionsBridge");
		connectionsBridge = new com.ibm.bpm.social.util.connections.ConnectionsBridge();
		connectionsBridge.onLoad(connUrl);
	
	}
	
	var stUrl =  com.ibm.bpm.social.util.common.Util.getSametimeURL();
	if(typeof(stUrl)!="undefined" && stUrl!=""){
		/* sametime init */
		stproxyConfig = {
				server: stUrl,
				tunnelURI: ppConfig.portalContextRootJS+"/js/tunnel-852.html",
				plugins: {
					lnmpMeetingInvite: false,
					lnmpSendAnnouncement: false
				}
		};
	
		dojo.require("com.ibm.bpm.social.util.sametime.SametimeBridge");
		sametimeBridge = new com.ibm.bpm.social.util.sametime.SametimeBridge();
		sametimeBridge.onLoad();
	
		sametimeBridge.loginByShortname(com.ibm.bpm.socialportal.GlobalAssets.getUserProfile().userName);
	}
	
	// message handler.  It is invoked when postMessage is called.
	//  **** When cross document messaging is turned off, this function is 
	//       called directly by window.onMessage() which is defined below.
	
	com.ibm.bpm.socialportal.onMessage = function(evt) {
		var msg = evt.data;
		var origin = evt.origin;
		if (typeof msg === "string") {
			//  If cross document messaging is turned off, we need to invoke com.ibm.bpm.social.widgets.task.form.RendererPool._dispatch() directly.
			//     It is defined in modules\bpmsocial\src\main\webapp\com\ibm\bpm\social\widgets\task\form\CoachRenderer.js
			if (typeof evt["crossDocumentMessaging"]!='undefined' && evt["crossDocumentMessaging"]=="off") {
				if (typeof window["BPM_CoachCallback"] == "object") {
					var rendererPool = window["BPM_CoachCallback"];
					if (rendererPool) {
						rendererPool._dispatch(evt);
					}
				}
			}
			if(msg.indexOf("displayInstanceDetails: ")==0) {
				var instanceId = parseInt(msg.substring("displayInstanceDetails: ".length, msg.length));
				// use navigation API
				// com.ibm.bpm.social.portal.PageHandler.getInstance().displayInstanceDetails(instanceId);
				var hash = '/dashboards/TWP/Process+Performance?tw.local.selectedInstanceId='+instanceId;
				dojo.publish(com.ibm.bpm.social.portal.Topics.NAVIGATION,[hash]);
			}
			else if(msg.indexOf("showTaskCompletion: ")==0) {
				var taskId = parseInt(msg.substring("showTaskCompletion: ".length, msg.length));
				// use navigation api
				// com.ibm.bpm.social.portal.PageHandler.getInstance().showTaskCompletion(taskId);
				var hash = '/dashboards/TWP/BPM_WORK?tw.local.view=taskcompletion&tw.local.taskid='+taskId;
				dojo.publish(com.ibm.bpm.social.portal.Topics.NAVIGATION,[hash]);
			} else {			
				var payloadLiteral = evt.data;
				var origin = evt.origin;
				var payload = dojo.fromJson(payloadLiteral);
				if(typeof payload["resizeDashboardIframe"] != 'undefined') {
					var height = payload["resizeDashboardIframe"];
					resizeDashboardIframe(height);	
				} else if (typeof payload["name"] != 'undefined') {
					var eventType = payload["name"];
					var taskID = payload["taskID"];
					var firstParameter = null;
					if (payload.parameters && payload.parameters.length > 0 && typeof payload.parameters[0] === "string") {
					  if (payload.parameters[0].length > 0) {
						firstParameter = payload.parameters[0];
					  }
					}
					if  (eventType == "onInitialized") {
						// do we want to resize iFrame?
						var scoreboardFrameVar = document.getElementById("scoreboardFrame");
						if (scoreboardFrameVar) {
							// if this is Ad Hoc reports, force the iframe to 1000px
							var resizeDone=false;
							if (evt && evt.target && evt.target.location && evt.target.location.pathname) {
								// RTC 128230; force height on Ad-Hoc reports
								if (evt.target.location.pathname.indexOf("dashboards/TWP/Ad-Hoc+Reports")>=0) {
									resizeDashboardIframe(1000);
									resizeDone=true;
								}
							}
							if ((firstParameter == null || firstParameter !== "oldCoach") && resizeDone==false) {
								resizeDashboardIframe(220);
							}
						}
					} else if  (eventType == "onCompleted") {
						// if the service was launched by dashboard menu, then show completed message;
						// only do this if taskID exists
						// We also do this by checking if the dashboards page is what's currently 
						// being shown to the user
						var dashboardPageDiv = dojo.byId("dashboardPageDiv");
						if(dojo.hasClass(dashboardPageDiv, "processPortalSelectedPage")) {
							var scoreboardFrameVar = document.getElementById("scoreboardFrame");
							if (scoreboardFrameVar) {
								if (firstParameter == null || firstParameter !== "oldCoach") {
	                                var finalSrc = ppConfig.portalContextRootJS+'/jsp/socialPortal/dashboard_restart.jsp?portalcontextroot='+escape(ppConfig.portalContextRootJS);
									scoreboardFrameVar.src = finalSrc;
								}
							}
						}
					} else if (eventType == "onDashboardRestart") {
                        var scoreboardFrameVar = document.getElementById("scoreboardFrame");
                        dojo.publish(com.ibm.bpm.social.portal.Topics.SHOW_DASHBOARD, [{
                          runURL: "RESTART_DASHBOARD",
                          display: "RESTART_DASHBOARD"
                        }]);
					} else if (eventType == "processPortalNavigation") {
						dojo.publish(com.ibm.bpm.social.portal.Topics.NAVIGATION,[payload.targetLocation]);
					} else if (eventType == "preventProcessPortalNavigation") {    
						dojo.publish(com.ibm.bpm.social.portal.Topics.PREVENT_NAVIGATION,[payload.msg]);
					} else if (eventType == "allowProcessPortalNavigation") {    
						dojo.publish(com.ibm.bpm.social.portal.Topics.ALLOW_NAVIGATION,[]);
                    } else if (eventType == "refreshFollowList") {
                    	dojo.publish(com.ibm.bpm.social.portal.Topics.REFRESH_FOLLOW_LIST, [{}]);
                    }
				} else if (typeof payload["criticalPathFlows"] != 'undefined') {
					var criticalPathFlows = payload["criticalPathFlows"]; // array
					var instanceId = payload["instanceId"];
					dojo.publish(com.ibm.bpm.social.portal.Topics.OPEN_PROCESS_DIAGRAM, [ { "instanceId": instanceId, "criticalPathFlowIds": criticalPathFlows } ]);
				}
			}
		}
	}
	if(typeof window.addEventListener != 'undefined') {
		window.addEventListener('message', com.ibm.bpm.socialportal.onMessage, false);
	}
	else if(typeof window.attachEvent != 'undefined') {
		window.attachEvent('onmessage', com.ibm.bpm.socialportal.onMessage);
	}
});
</script>
<script>
    // global onMessage handler.  This function should be called ONLY when 
    // cross document messaging is turned off 
window.onMessage = function (messObj) {
	//  add flag to messObj to indicate cross document messaging is turned off
	messObj["crossDocumentMessaging"]="off";
	window.setTimeout(function() {
		window.com.ibm.bpm.socialportal.onMessage(messObj);
	},100);
};
</script>
<!-- Framekiller code -->
<script>
	//only run if enableRunInFrame is false
	if(!<%=enableRunInFrame%>) {
		if (self != top) {
			top.location = self.location;
		}
	}
</script>

<!-- cleanup -->
<script type="text/javascript">
	function processPortalWindowCleanup() {
		var page = dijit.byId('workPage');
		if (page) {
			page.destroy();
		}
		page = dijit.byId('dashboardPage');
		if (page) {
			page.destroy();
		}
	}
	if (dojo.isIE) {
		dojo.addOnWindowUnload(processPortalWindowCleanup);
	} else {
		dojo.addOnUnload(processPortalWindowCleanup);	
	}
</script>

<!-- Disable back button -->
<script type="text/javascript">
	dojo.require("dojo.back");
	dojo.addOnLoad(function(){
		dojo.back.setInitialState({
			back: function() {
				window.setTimeout(function() {
					dojo.back.addToHistory({
						back: function() {
						},
						forward: function () {
						}
					})
				},1);
			},
			forward: function () {
			}
		});
		window.setTimeout(function() {
			dojo.back.addToHistory({
				back: function() {
				},
				forward: function () {
				}
			})
		},500);
		window.setTimeout(function() {
			dojo.back.addToHistory({
				back: function() {
				},
				forward: function () {
				}
			})
		},1000);
		window.setTimeout(function() {
			dojo.back.addToHistory({
				back: function() {
				},
				forward: function () {
				}
			})
		},2000);
		window.setTimeout(function() {
			dojo.back.addToHistory({
				back: function() {
				},
				forward: function () {
				}
			})
		},4000);
	});
</script>

</head>
<body class="processPortal">
<script type="text/javascript">dojo.back.init();</script>
<% if(isLogging.equals("true")) { %>
<div data-dojo-type="com.ibm.bpm.social.widgets.debug.LoggingWidget"></div>
<% } %>
<!--  Process Portal banner -->
<div id="com.ibm.bpm.processPortalBanner" class="processPortalBanner" onclick="com.ibm.bpm.social.portal.PageHandler.getInstance().hideDashboardOrganizer(event);" href="javascript:" role="banner">
	<div id="messageNotificationDiv"></div>
	<div id="processPortalTabBar" dojoAttachPoint="processPortalTabBar" dojoType="com.ibm.bpm.social.portal.ProcessPortalTabBar"></div> 
	
	<div id="processPortalFullScreenCoach" class="processPortalFullScreenCoach" style="display:none">
			<div class="processPortalLogo"></div>
			<div class="processPortalFullScreenCoachTitle">
				<span id="processPortalFullScreenCoachSubject" class="processPortalFullScreenCoachTitle"></span>
			</div>
			<div id="processPortalFullScreenCoachDue" class="processPortalFullScreenCoachTitle">
				<span class="processPortalFullScreenCoachTitle">|</span>
				<span id="processPortalFullScreenCoachDueLabel" class="processPortalFullScreenCoachTitle processPortalFullScreenCoachDue"></span>
				<span id="processPortalFullScreenCoachDueDate" class="processPortalFullScreenCoachTitle processPortalFullScreenCoachDue processPortalFullScreenCoachDueDate"></span>
			</div>
			<div id="processPortalFullScreenCoachIcon" class="processPortalFullScreenCoachIcon bpm-social-collapse-full-screen" tabIndex="0" >
				<span id="processPortalFullScreenCoachIconA11y" class="bpm-social-a11y"></span>
			</div>
	</div>
	<div id="processPortalCollaborationBanner"></div>
	<div id="processPortalUser" class="processPortalUser">
		<div class="processPortalUserArea">
			<div id="processPortalUserAreaRtl" class="processPortalUserAreaRtl" style="display: none;"></div>
			<a role="link" id="processPortalUserDropdownId" class="processPortalUserDropdownId" href="javascript:void(0);" onclick="showUserDropdown(event); return false;">
				<span id="processPortalUserName" class="processPortalUserName"></span>
				<div id="processPortalUserDropdown" class="processPortalUserDropdown"></div>
                <div id="processPortalUserDropdownA11y" class="processPortalUserDropdownA11y">&#9660;</div>
			</a>
			<a id="processPortalGoToSpacesLink" class="processPortalGoToSpacesLink" href="javascript:void(0);" onclick="showGoToSpaces(event); return false;"></a>
			<a id="processPortalUrl" class="processPortalUrlIcon" href="javascript:void(0);" onclick="com.ibm.bpm.social.util.common.Util.showProcessPortalUrl(event); return false;"></a>
			<a id="processPortalHelp" class="processPortalHelpIcon" href="<%= businessSpaceHelpContextRoot %>/index.jsp?topic=/com.ibm.wbpm.portal.help.doc/topics/cparticipating_intro.html" target="_blank"></a>
		</div>
	</div>
  </div>
  <div id="processPortalContent"  href="javascript:void(0);" role="main">
		<div id="workPageDiv" class="processPortalPage processPortalSelectedPage" data-loaded="false">
			<div id="workPage" dojoAttachPoint="workPage" dojoType="dijit.layout.ContentPane" style="width:100%; height:100%; float:left;" preload="true"></div> 
		</div>
		<div id="dashboardPageDiv" class="processPortalPage processPortalNonSelectedPage" data-loaded="false">
			<div id="dashboardPage" dojoAttachPoint="dashboardPage" dojoType="com.ibm.bpm.social.portal.DashboardController" style="width:100%; float:left;" preload="true"></div> 
		</div>
  </div>   	    	   	
  <div id="processPortalFooter"><div class="ibmMiniLogo"><span class="ibmMiniLogoText">IBM</span></div></div>
</body>
</html>
